// gnome.xonotic.in.ua

models/mapobjects/br_flourlight/br_flourlight
{
	surfaceparm nolightmap
	nopicmip
	nomipmaps
	q3map_surfacelight 25000
	{
		map models/mapobjects/br_flourlight/br_flourlight.jpg
	}
}

textures/chiefoffice/carpet
{
	surfaceparm nomarks
	nopicmip
	polygonoffset
	{
		map textures/chiefoffice/carpet.tga
		alphafunc gt0
		blendfunc blend
		rgbgen vertex
		alphagen const 1
	}
}

textures/chiefoffice/desk
{
	{
		map textures/chiefoffice/desk.tga
		rgbgen vertex
	}
	{
		map textures/chiefoffice/reflection_desk.tga
		tcgen environment
		blendfunc gl_dst_color gl_src_color
	}
	{
		map $lightmap
		blendfunc filter
	}
}

textures/chiefoffice/deskdrawer
{
	{
		map textures/chiefoffice/deskdrawer.tga
	}
}

textures/chiefoffice/executivechair
{
	{
		map textures/chiefoffice/executivechair.tga
		rgbgen vertex
	}
	{
		map $lightmap
		blendfunc filter
	}
}

textures/chiefoffice/leaves
{
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm nodlight
	cull none
	nopicmip
	{
		map textures/chiefoffice/leaves.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identitylighting
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/chiefoffice/policehat
{
	{
		map textures/chiefoffice/policehat.tga
	}
	{
		map textures/chiefoffice/reflection_desk.tga
		blendfunc gl_dst_color gl_src_color
	}
	{
		map $lightmap
		blendfunc filter
	}
}

textures/chiefoffice/sky
{
	qer_editorimage env/chiefoffice/morning_ft.tga
	q3map_lightmapfilterradius 0 8
	q3map_lightsubdivide 768
	q3map_backsplash 0 0
	q3map_sunext 1 1 1 450 152 73 1 2
	q3map_skylight 250 4
	q3map_lightrgb 1 0.925 0.545
	q3map_nofog
	surfaceparm sky
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodlight
	q3map_nolightmap
	skyparms env/chiefoffice/morning 1024 -
	nopicmip
	nomipmaps
}

textures/chiefoffice/urtflag
{
	cull none
	{
		map textures/chiefoffice/urtflag.tga
		rgbgen vertex
	}
	{
		map $lightmap
		blendfunc filter
	}
}

textures/chiefoffice/window
{
	{
		map textures/chiefoffice/window.tga
		alphafunc ge128
	}
	{
		map textures/chiefoffice/reflection_window.tga
		tcgen environment
		blendfunc gl_dst_color gl_src_color
	}
	{
		map textures/chiefoffice/window.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
	}
	{
		map $lightmap
		blendfunc filter
	}
}

textures/common/caulk
{
	surfaceparm nodraw
	surfaceparm nomarks
	surfaceparm nolightmap
}

textures/common/clip
{
	qer_trans 0.40
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm noimpact
}

textures/common/trigger
{
	qer_trans 0.50
	qer_nocarve
	surfaceparm nodraw
}

